## javax.servlet.http
Interface HttpSessionActivationListener

All Superinterfaces:
  java.util.EventListener

public interface HttpSessionActivationListener
extends java.util.EventListener

Objects that are bound to a session may listen to container events notifying them that sessions will be passivated and that session will be activated. A container that migrates session between VMs or persists sessions is required to notify all attributes bound to sessions implementing HttpSessionActivationListener.

Since:
  2.3

Method Summary
`void` `sessionDidActivate(HttpSessionEvent se)` Notification that the session has just been activated.
`void` `sessionWillPassivate(HttpSessionEvent se)` Notification that the session is about to be passivated.

Method Detail

### sessionWillPassivate

    public void sessionWillPassivate(HttpSessionEvent se)

  Notification that the session is about to be passivated.

### sessionDidActivate

    public void sessionDidActivate(HttpSessionEvent se)

  Notification that the session has just been activated.

Copyright © 1999-2001 The Apache Software Foundation. All Rights Reserved.